:root {
  --primary-color: #EEEEEE;
  --secondary-color: #2a2a2a;
  --tertiary-color: #333333;
  /* --accent-color: #2d594b; */
  /* --accent-color: #9ed8a6; */
  --accent-color2: #4f9b6d;
  --accent-color: #6d4f9b;
  --sm-header-bg: linear-gradient(140deg,
      var(--accent-color) 60%,
      var(--accent-color2) 99%);
  --sm-header-bg-flip: linear-gradient(140deg,
      var(--accent-color2) 40%,
      var(--accent-color) 70%);
  --shadow: 0 0.5rem 2rem rgba(0, 0, 0, 0.8);
  /* --border: 0.2rem solid var(--tertiary-color); */
  --border: none;
  --header-height: 4rem;
}

@font-face {
  font-family: 'Agave';
  src: url('/font/AgaveNerdFontPropo-Regular.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

html {
  background: var(--accent-color);
  margin: 0;
  overflow-x: hidden;
}

body {
  background: var(--secondary-color);
  background: linear-gradient(135deg, var(--secondary-color), #151515);
  color: var(--primary-color);
  font-family: 'Agave', monospace;
  margin: 0 auto;
  min-height: 100vh;
  line-height: 1.6;
}

a {
  color: var(--primary-color);
  text-decoration: none;
  transition: all 0.3s ease;
  border-bottom: 0.1rem solid transparent;
  font-weight: bold;
}

a:hover {
  border-bottom: 0.1rem solid var(--accent-color);
}

p a {
  text-decoration: underline;
}

button {
  font-family: 'Agave', monospace;
}

input,
textarea {
  background: var(--tertiary-color);
  border: none;
  color: var(--primary-color);
  padding: 0.5rem;
  border-radius: 0.25rem;
}

pre {
  background: var(--tertiary-color) !important;
  padding: 1rem;
  border-radius: 0.5rem;
  overflow-x: auto;
  box-shadow: var(--shadow);
}

h1::before {
  content: ">>";
  color: var(--accent-color);
  margin-right: 0.5rem;
}

h2::before {
  content: "λ";
  color: var(--accent-color);
  margin-right: 0.5rem;
}

h3::before {
  content: "//";
  color: var(--accent-color);
  margin-right: 0.5rem;
}

h2 {
  font-size: 1.8rem;
  border-bottom: 0.25rem solid var(--accent-color);
}

header {
  height: var(--header-height);
  max-height: var(--header-height);
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background: var(--sm-header-bg);
  z-index: 1000;
}

header h1::before {
  content: "";
  margin-right: 1rem;
}

#nav-full {
  padding: 1rem;
  border-radius: 0.5rem;
  text-align: right;
  font-size: 1.2rem;
}

#nav-mobile {
  position: fixed;
  right: 0;
  width: 100%;
  top: var(--header-height);
  display: none;
  padding: 1rem;
  padding-top: 0.5rem;
  margin: 0;
  text-align: right;
  font-size: 1.2rem;
  background: var(--secondary-color);
  box-shadow: var(--shadow);
  z-index: 1001;
}

#nav-mobile-toggle {
  display: none;
  padding: 1rem;
  border-radius: 0.5rem;
  text-align: right;
  font-size: 1.2rem;
  cursor: pointer;
}

.site-banner {
  color: var(--primary-color);
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
  width: 100%;
  height: var(--header-height);
  box-shadow: var(--shadow);
}

.site-banner h1 {
  margin: 0;
  text-align: left;
}

.site-banner img {
  width: 1.6rem;
  vertical-align: middle;
  border-radius: 0.5rem;
}

#site-banner-canvas {
  width: 100%;
  height: var(--header-height);
  display: block;
  /* position: absolute; */
  /* top: 0; */
  /* left: 0; */
}

.site-banner-spacer {
  height: var(--header-height);
}

.content {
  max-width: 800px;
  margin: 0 auto;
  padding: 1rem;
}


@media (max-width: 900px) {

  #site-banner-title {
    display: none;
  }

  #nav-full {
    display: none;
  }

  /* #nav-mobile { */
  /*   display: block; */
  /* } */

  #nav-mobile-toggle {
    display: block;
  }

  .content {
    max-width: 100%;
    padding: 0.5rem;
  }
}
